using System;
using System.Web;
using System.Web.Compilation;
using System.Web.Routing;
using System.Web.UI;


public class EmployeeRouteHandler : IRouteHandler
{

	string _Path;

	public EmployeeRouteHandler( string virtualPath )
	{
		_Path = virtualPath;
	}

	public IHttpHandler GetHttpHandler ( RequestContext ctx )
	{
		var p = BuildManager.CreateInstanceFromVirtualPath(
			_Path, 
			typeof(Page)
		) as IEmployeeHttpHandler;

		p.Name = ctx.RouteData.Values["name"] as string;
		p.Email = ctx.RouteData.Values["email"] as string;
		 
		return p;
	}
	
}

